Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022777
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Retail Widgetsminoralways2013-01-11 10:232013-01-25 13:13
ReporterjecharriView Statuspublic 
Assigned Toguilleaer 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision67593cda8bc2
ProjectionnoneETAnoneTarget VersionRMP19
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP17SCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022777: The widget "best selling store" is not working properly

DescriptionThe widget "best selling store" is not working properly.

When you say to filter between 11/01/2013 and 11/01/2013 you will that it is impossible to see nothing.

Steps To Reproduce-
Proposed SolutionIf you review to query, you will see next statement:

and o.creationDate>to_date(:datefrom,'YYYY-MM-DD')
and o.creationDate<to_date(:dateto,'YYYY-MM-DD')

and it should be

and o.creationDate>to_date(:datefrom,'YYYY-MM-DD')
and o.creationDate + 1_day <to_date(:dateto,'YYYY-MM-DD')
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055490)
hgbot (developer)
2013-01-11 15:09

Repository: erp/pmods/org.openbravo.retail.widgets
Changeset: 67593cda8bc2e9b4d7f0891092bd7d21e4eb0e7d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Jan 11 14:52:26 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.widgets/rev/67593cda8bc2e9b4d7f0891092bd7d21e4eb0e7d [^]

fixed issue 22777: Best selling store widget is working fine when the period is one day

---
M src-db/database/sourcedata/OBCQL_WIDGET_QUERY.xml
---

- Issue History
Date Modified Username Field Change
2013-01-11 10:23 jecharri New Issue
2013-01-11 10:23 jecharri Assigned To => guilleaer
2013-01-11 15:09 hgbot Checkin
2013-01-11 15:09 hgbot Note Added: 0055490
2013-01-11 15:09 hgbot Status new => resolved
2013-01-11 15:09 hgbot Resolution open => fixed
2013-01-11 15:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.widgets/rev/67593cda8bc2e9b4d7f0891092bd7d21e4eb0e7d [^]
2013-01-25 13:13 marvintm Review Assigned To => marvintm
2013-01-25 13:13 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker